app_login:
  path: /
  controller: App\Controller\SecurityController::login

forgotPassword:
  path: /forgotPassword
  controller: App\Controller\UserController::forgotPassword

profil:
  path: /{_locale}/profil
  controller: App\Controller\UserController::profil
  requirements:
    _locale: fr|en|nl

news:
  path: /{_locale}/news
  controller: App\Controller\NewsController::news
  requirements:
    _locale: fr|en|nl

dashboard:
  path: /{_locale}/dashboard
  controller: App\Controller\DashboardController::dashboard
  requirements:
    _locale: fr|en|nl

searchDashboard:
  path: /{_locale}/dashboard/search
  controller: App\Controller\DashboardController::search
  requirements:
    _locale: fr|en|nl

getSettingCountry:
  path: /getSettingCountry
  controller: App\Controller\SettingController::getSettingCountry

settings:
  path: /{_locale}/settings
  controller: App\Controller\SettingController::settings
  requirements:
    _locale: fr|en|nl

history:
  path: /{_locale}/history
  controller: App\Controller\HistoryController::history
  requirements:
    _locale: fr|en|nl

getHistory:
  path: /{_locale}/history/get
  controller: App\Controller\HistoryController::getHistory
  requirements:
    _locale: fr|en|nl

getDetailHistory:
  path: /history/get/{id}
  controller: App\Controller\HistoryController::getDetailHistory

badgeNotification:
  path: /badgeNotification
  controller: App\Controller\DashboardController::badgeNotification

dataPolarArea:
  path: /dataPolarArea
  controller: App\Controller\DashboardController::dataPolarArea

companiesLocation:
  path: /{_locale}/getCompaniesLocation
  controller: App\Controller\DashboardController::getCompaniesLocation
  requirements:
    _locale: fr|en|nl

admin:
  path: /admin
  controller: App\Controller\Admin\DashboardController::index

contactIntegration:
  path: /adminApi/integration/contacts
  controller: App\Controller\ContactController::contactIntegration

support:
  path: /{_locale}/support
  controller: App\Controller\SupportController::support
  requirements:
    _locale: fr|en|nl

users:
  path: /{_locale}/users
  controller: App\Controller\UserController::users
  requirements:
    _locale: fr|en|nl

getUsers:
  path: /user/get
  controller: App\Controller\UserController::getUsers

addUser:
  path: /{_locale}/user/add
  controller: App\Controller\UserController::addUser
  requirements:
    _locale: fr|en|nl

deleteUser:
  path: /{_locale}/user/delete/{id}
  controller: App\Controller\UserController::deleteUser
  requirements:
    _locale: fr|en|nl

updateUser:
  path: /{_locale}/user/update
  controller: App\Controller\UserController::updateUser
  requirements:
    _locale: fr|en|nl

getInternalManager:
  path: /getInternalManager
  controller: App\Controller\UserController::getInternalManager

actionsTypes:
  path: /{_locale}/actionsTypes
  controller: App\Controller\ActionTypeController::actionsTypes
  requirements:
    _locale: fr|en|nl

deleteActionType:
  path: /{_locale}/actionType/delete/{id}
  controller: App\Controller\ActionTypeController::deleteActionType
  requirements:
    _locale: fr|en|nl

getActionTypes:
  path: /actionType/get
  controller: App\Controller\ActionTypeController::getActionTypes

updateActionType:
  path: /{_locale}/actionType/update/{id}
  controller: App\Controller\ActionTypeController::updateActionType
  requirements:
    _locale: fr|en|nl

salesTunnels:
  path: /{_locale}/salesTunnels
  controller: App\Controller\SalesTunnelController::salesTunnels
  requirements:
    _locale: fr|en|nl

getSalesTunnel:
  path: /salesTunnel/get
  controller: App\Controller\SalesTunnelController::getSalesTunnel

deleteSalesTunnel:
  path: /{_locale}/salesTunnel/delete/
  controller: App\Controller\SalesTunnelController::deleteSalesTunnel
  requirements:
    _locale: fr|en|nl

updateSalesTunnel:
  path: /{_locale}/salesTunnel/update/{id}
  controller: App\Controller\SalesTunnelController::updateSalesTunnel
  requirements:
    _locale: fr|en|nl

detailsMovements:
  path: /{_locale}/detailsMovements
  controller: App\Controller\TunnelMovementController::detailsMovements
  requirements:
    _locale: fr|en|nl

detailsMovementsId:
  path: /{_locale}/detailsMovements/{id}
  controller: App\Controller\TunnelMovementController::detailsMovements
  requirements:
    _locale: fr|en|nl

createTunnelMovement:
  path: /{_locale}/createTunnelMovement
  controller: App\Controller\TunnelMovementController::createTunnelMovement
  requirements:
    _locale: fr|en|nl

createTunnelMovementId:
  path: /{_locale}/createTunnelMovement/{id}
  controller: App\Controller\TunnelMovementController::createTunnelMovement
  requirements:
    _locale: fr|en|nl

updateTunnelMovement:
  path: /{_locale}/tunnelMovement/update/{id}
  controller: App\Controller\TunnelMovementController::updateTunnelMovement
  requirements:
    _locale: fr|en|nl

exportTunnelMovement:
  path: /tunnelMovement/export
  controller: App\Controller\TunnelMovementController::exportTunnelMovement

deleteTunnelMovement:
  path: /{_locale}/tunnelMovement/delete/
  controller: App\Controller\TunnelMovementController::deleteTunnelMovement

tunnelMovementPdf:
  path: /tunnelMovement/pdf/{id}
  controller: App\Controller\DomPDFController::tunnelMovementPdf

deleteTunnelMovementPdf:
  path: /tunnelMovement/delete/pdf/{id}
  controller: App\Controller\DomPDFController::deleteTunnelMovementPdf

getTunnelMovements:
  path: /tunnelMovement/get
  controller: App\Controller\TunnelMovementController::getTunnelMovements

getTunnelMovementsFinished:
  path: /tunnelMovement/history/get
  controller: App\Controller\TunnelMovementController::getTunnelMovementsFinished

searchTunnelMovementPdf:
  path: /searchTunnelMovementPdf/{id}
  controller: App\Controller\TunnelMovementController::searchTunnelMovementPdf

searchTunnelMovementCompany:
  path: /searchTunnelMovement/{id}
  controller: App\Controller\TunnelMovementController::searchTunnelMovementCompany

updateTunnelMovementDate:
  path: /updateTunnelMovementDate
  controller: App\Controller\TunnelMovementController::updateTunnelMovementDate

updateTunnelMovementManager:
  path: /updateTunnelMovementManager
  controller: App\Controller\TunnelMovementController::updateTunnelMovementManager

closeActionsTunnelMovement:
  path: /closeActionsTunnelMovement
  controller: App\Controller\TunnelMovementController::closeActionsTunnelMovement

changeActionTunnelMovement:
  path: /changeActionTunnelMovement
  controller: App\Controller\TunnelMovementController::changeActionTunnelMovement

searchTunnelMovementByDate:
  path: /searchTunnelMovementByDate
  controller: App\Controller\DashboardController::searchTunnelMovementByDate

getTunnelMovementFullcalendar:
  path: /getTunnelMovementFullcalendar
  controller: App\Controller\DashboardController::getTunnelMovementFullcalendar

finishedSalesTunnel:
  path: /{_locale}/finishedSalesTunnel/{id}
  controller: App\Controller\TunnelMovementController::finishedSalesTunnel
  requirements:
    _locale: fr|en|nl

historyTunnelMovement:
  path: /{_locale}/finishedSalesTunnel/{id}
  controller: App\Controller\TunnelMovementController::finishedSalesTunnel
  requirements:
    _locale: fr|en|nl

addCompany:
  path: /{_locale}/company/add
  controller: App\Controller\CompanyController::addCompany
  requirements:
    _locale: fr|en|nl

addCompanyAjax:
  path: /addCompanyAjax
  controller: App\Controller\CompanyController::addCompanyAjax

companies:
  path: /{_locale}/companies
  controller: App\Controller\CompanyController::companies
  requirements:
    _locale: fr|en|nl

deleteCompany:
  path: /{_locale}/company/delete/
  controller: App\Controller\CompanyController::deleteCompany
  requirements:
    _locale: fr|en|nl

updateCompany:
  path: /{_locale}/company/update/{id}
  controller: App\Controller\CompanyController::updateCompany
  requirements:
    _locale: fr|en|nl

filterCompany:
  path: /{_locale}/company/filter
  controller: App\Controller\FilterController::filterCompany
  requirements:
    _locale: fr|en|nl

companyPerformSales:
  path: /company/perform/sales
  controller: App\Controller\CompanyController::companyPerformSales

filterCompanyId:
  path: /{_locale}/company/filter/{id}
  controller: App\Controller\FilterController::filterCompany
  requirements:
    _locale: fr|en|nl

filterContact:
  path: /{_locale}/contact/filter
  controller: App\Controller\FilterController::filterContact
  requirements:
    _locale: fr|en|nl

filterContactId:
  path: /{_locale}/contact/filter/{id}
  controller: App\Controller\FilterController::filterContact
  requirements:
    _locale: fr|en|nl

getCompanies:
  path: /company/get
  controller: App\Controller\CompanyController::getCompanies

getCompaniesSelect:
  path: /getCompaniesSelect
  controller: App\Controller\CompanyController::getCompaniesSelect

getCompaniesImport:
  path: /getCompaniesImport
  controller: App\Controller\CompanyController::getCompaniesImport

getCompetitor:
  path: /getCompetitor
  controller: App\Controller\CompanyController::getCompetitor

services:
  path: /{_locale}/services
  controller: App\Controller\ServiceController::services
  requirements:
    _locale: fr|en|nl

getService:
  path: /service/get
  controller: App\Controller\ServiceController::getService

deleteService:
  path: /{_locale}/service/delete/
  controller: App\Controller\ServiceController::deleteService
  requirements:
    _locale: fr|en|nl

updateService:
  path: /{_locale}/service/update/{id}
  controller: App\Controller\ServiceController::updateService
  requirements:
    _locale: fr|en|nl

getServices:
  path: /getServices
  controller: App\Controller\ServiceController::getServices

addService:
  path: /addService
  controller: App\Controller\ServiceController::addService

getAllNaceCode:
  path: /getAllNaceCode
  controller: App\Controller\NaceCodeController::getAllNaceCode

getAllCategory:
  path: /getAllCategory
  controller: App\Controller\CategoryController::getAllCategory

contacts:
  path: /{_locale}/contacts
  controller: App\Controller\ContactController::contacts
  requirements:
    _locale: fr|en|nl

addContact:
  path: /{_locale}/contact/add
  controller: App\Controller\ContactController::addContact
  requirements:
    _locale: fr|en|nl

addContactAjax:
  path: /addContactAjax
  controller: App\Controller\ContactController::addContactAjax

getPhonesContact:
  path: /getPhonesContact/{id}
  controller: App\Controller\ContactController::getPhonesContact

deleteContact:
  path: /contact/delete/
  controller: App\Controller\ContactController::deleteContact

updateContact:
  path: /{_locale}/contact/update/{id}
  controller: App\Controller\ContactController::updateContact
  requirements:
    _locale: fr|en|nl

searchContactCompany:
  path: /searchContactCompany
  controller: App\Controller\ContactController::searchContactCompany

getActionProspect:
  path: /getActionProspect
  controller: App\Controller\TunnelMovementController::getActionProspect

getContacts:
  path: /contact/get
  controller: App\Controller\ContactController::getContacts

getManager:
  path: /getManager
  controller: App\Controller\ContactController::getManager

jobsFunctions:
  path: /{_locale}/jobsFunctions
  controller: App\Controller\JobFunctionController::jobsFunctions
  requirements:
    _locale: fr|en|nl

getJobFunctions:
  path: /jobFunction/get
  controller: App\Controller\JobFunctionController::getJobFunctions

deleteJobFunction:
  path: /{_locale}/jobFunction/delete/
  controller: App\Controller\JobFunctionController::deleteJobFunction
  requirements:
    _locale: fr|en|nl

updateJobFunction:
  path: /{_locale}/jobFunction/update/{id}
  controller: App\Controller\JobFunctionController::updateJobFunction
  requirements:
    _locale: fr|en|nl

getJobsFunctions:
  path: /getJobsFunctions
  controller: App\Controller\JobFunctionController::getJobsFunctions

addJobFunction:
  path: /addJobFunction
  controller: App\Controller\JobFunctionController::addJobFunction

origins:
  path: /{_locale}/origins
  controller: App\Controller\OriginController::origins
  requirements:
    _locale: fr|en|nl

getOrigin:
  path: /origin/get
  controller: App\Controller\OriginController::getOrigin

deleteOrigin:
  path: /{_locale}/origin/delete/
  controller: App\Controller\OriginController::deleteOrigin
  requirements:
    _locale: fr|en|nl

updateOrigin:
  path: /{_locale}/origin/update/{id}
  controller: App\Controller\OriginController::updateOrigin
  requirements:
    _locale: fr|en|nl

addOrigin:
  path: /addOrigin
  controller: App\Controller\OriginController::addOrigin

societiesTypes:
  path: /{_locale}/societiesTypes
  controller: App\Controller\SocietyTypeController::societiesTypes
  requirements:
    _locale: fr|en|nl

getSocieteTypes:
  path: /societyType/get
  controller: App\Controller\SocietyTypeController::getSocieteTypes

deleteSocietyType:
  path: /{_locale}/societyType/delete/
  controller: App\Controller\SocietyTypeController::deleteSocietyType
  requirements:
    _locale: fr|en|nl

updateSocietyType:
  path: /{_locale}/societyType/update/{id}
  controller: App\Controller\SocietyTypeController::updateSocietyType
  requirements:
    _locale: fr|en|nl

addSocietyType:
  path: /addSocietyType
  controller: App\Controller\SocietyTypeController::addSocietyType

subcategories:
  path: /{_locale}/subcategories
  controller: App\Controller\SubcategoryController::subcategories
  requirements:
    _locale: fr|en|nl

getSubCategory:
  path: /subCategory/get
  controller: App\Controller\SubcategoryController::getSubCategory

deleteSubcategory:
  path: /{_locale}/subCategory/delete/
  controller: App\Controller\SubcategoryController::deleteSubcategory
  requirements:
    _locale: fr|en|nl

updateSubcategory:
  path: /{_locale}/subCategory/update/{id}
  controller: App\Controller\SubcategoryController::updateSubcategory
  requirements:
    _locale: fr|en|nl

addSubcategory:
  path: /addSubcategory
  controller: App\Controller\SubcategoryController::addSubcategory

getSubcategories:
  path: /getSubcategories
  controller: App\Controller\SubcategoryController::getSubcategories

postalCodes:
  path: /{_locale}/postalCodes
  controller: App\Controller\CommonPostalCodeController::postalCodes
  requirements:
    _locale: fr|en|nl

getPostalCodes:
  path: /postalCode/get
  controller: App\Controller\CommonPostalCodeController::getPostalCodes

deletePostalCode:
  path: /{_locale}/postalCode/delete/
  controller: App\Controller\CommonPostalCodeController::deletePostalCode
  requirements:
    _locale: fr|en|nl

updatePostalCode:
  path: /{_locale}/postalCode/update/{id}
  controller: App\Controller\CommonPostalCodeController::updatePostalCode
  requirements:
    _locale: fr|en|nl

searchCommonPostalCode:
  path: /searchCommonPostalCode
  controller: App\Controller\CommonPostalCodeController::searchCommonPostalCode

searchCommonPostalCodeTable:
  path: /searchCommonPostalCodeTable
  controller: App\Controller\CommonPostalCodeController::searchCommonPostalCodeTable

regions:
  path: /{_locale}/regions
  controller: App\Controller\RegionController::regions
  requirements:
    _locale: fr|en|nl

getRegions:
  path: /region/get
  controller: App\Controller\RegionController::getRegions

deleteRegion:
  path: /{_locale}/region/delete/
  controller: App\Controller\RegionController::deleteRegion

updateRegion:
  path: /{_locale}/region/update/{id}
  controller: App\Controller\RegionController::updateRegion
  requirements:
    _locale: fr|en|nl

signInMicrosoft:
  path: /signInMicrosoft
  controller: App\Controller\MicrosoftController::signInMicrosoft

callbackMicrosoft:
  path: /callbackMicrosoft
  controller: App\Controller\MicrosoftController::callbackMicrosoft

## FILES ##

getFiles:
  path: /file/get/{entity_name}/{entity_id}
  controller: App\Controller\FileController::getFiles

getFile:
  path: /file/get/{id}
  controller: App\Controller\FileController::getFile

addFile:
  path: /file/add/{entity_name}/{entity_id}
  controller: App\Controller\FileController::addFile

downloadFile:
  path: /file/download/{id}
  controller: App\Controller\FileController::downloadFile

deleteFile:
  path: /file/delete/
  controller: App\Controller\FileController::deleteFile

## COMPANY MOVEMENTS ##

getCompanyMovements:
  path: /companyMovement/get/{id}
  controller: App\Controller\CompanyMovementController::getCompanyMovements

## ADDRESS ##

getAddress:
  path: /address/get/{id}
  controller: App\Controller\AddressController::getAddress

getAddresses:
  path: /address/get/{entityName}/{entityId}
  controller: App\Controller\AddressController::getAddresses

addAddress:
  path: /address/add/{entityName}/{entityId}
  controller: App\Controller\AddressController::addAddress

updateAddress:
  path: /address/update/{id}
  controller: App\Controller\AddressController::updateAddress

deleteAddress:
  path: /address/delete/
  controller: App\Controller\AddressController::deleteAddress

searchAddressCompany:
  path: /searchAddressCompany
  controller: App\Controller\AddressController::searchAddressCompany

searchContactAddress:
  path: /address/contact/{id}
  controller: App\Controller\AddressController::searchContactAddress

